XSetState(3X11)

NAME
XSetState, XSetFunction, XSetPlaneMask, XSetForeground, XSetBackground - GC convenience routines

SYNTAX
XSetState(display, gc, foreground, background, function, plane_mask)
      Display *display;
      GC gc;
      unsigned long foreground, background;
      int function;
      unsigned long plane_mask;

XSetFunction(display, gc, function)
      Display *display;
      GC gc;
      int function;

XSetPlaneMask(display, gc, plane_mask)
      Display *display;
      GC gc;
      unsigned long plane_mask;

XSetForeground(display, gc, foreground)
      Display *display;
      GC gc;
      unsigned long foreground;

XSetBackground(display, gc, background)
      Display *display;
      GC gc;
      unsigned long background;

ARGUMENTS

background
    Specifies the background you want to set for the specified GC.

display
    Specifies the connection to the X server.

foreground
    Specifies the foreground you want to set for the specified GC.

function
    Specifies the function you want to set for the specified GC.

gc  Specifies the GC.

plane_mask
    Specifies the plane mask.

DESCRIPTION
The function sets the foreground, background, plane mask, and function components for the specified GC.

can generate and errors.

sets a specified value in the specified GC.

can generate and errors.

The function sets the plane mask in the specified GC.

can generate and errors.

The function sets the foreground in the specified GC.

can generate and errors.

The function sets the background in the specified GC.

can generate and errors.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a GContext argument does not name a defined GContext.

Some numeric value falls outside the range of values accepted by the request.
    Unless a specific range is specified for an argument, the full range defined by the argument's type is accepted. Any argument defined as a set of alternatives can generate this error.

SEE ALSO
XCreateGC(3X11), XQueryBestSize(3X11), XSetArcMode(3X11), XSetClipOrigin(3X11), XSetFillStyle(3X11), XSetFont(3X11), XSetLineAttributes(3X11), XSetTile(3X11)
Xlib - C Language X Interface